package com.ruoyi.system.mq.config;

import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.QueueBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ServerTaskQueueConfig
{
    public static final String mq_dev = "";
    public static final String TASK_EXCHANGE_NAME = "server.task.exchange";
    public static final String TASK_QUEUE = "server.task.queue";
    public static final String TASK_ROUTING_KEY = "server.task.routingkey";
    
    @Bean
    public DirectExchange taskExchange() {
        return new DirectExchange("server.task.exchange");
    }
    
    @Bean
    public Queue taskQueue() {
        return QueueBuilder.durable("server.task.queue").build();
    }
    
    @Bean
    public Binding taskBinding() {
        return BindingBuilder.bind(this.taskQueue()).to(this.taskExchange()).with("server.task.routingkey");
    }
}
